Headers and client library minor version mismatch
Forum
  1. Forums
  2. CloudLinux and Control Panels
  3. CloudLinux and cPanel
  1. Ray Baron
  2. 13.04.2016
  3.  Subscribe via email
Upgraded a WordPress site to v4.5 and started getting the following warning:

PHP Warning:  mysqli_real_connect(): Headers and client library minor version mismatch. Headers:100023 Library:100113 in /home/user/public_html/wp-includes/wp-db.php on line 1489

LiteSpeed latest and CloudLinux 6 no CPanel server.  The website is using PHP v7 from AltPHP and MariaDB on a remote DB server.  The DB server has CPanel but not CloudLinux.

I ran /usr/bin/alt-php-mysql-reconfigure checking the config before and after (ls -la /opt/alt/php*/usr/lib*/php/modules/mysql*.so).  Output is the same both times.
Rate this post:
  1. 31.05.2020 17:05:48
  2. # 1
Casey White Accepted Answer
Posts: 0
Joined: 11.07.2020
0
Votes
Undo
Do you need help with library?
  1. 12.12.2016 11:12:44
  2. # 2
Scott Neader Accepted Answer
Posts: 89
Joined: 12.06.2014
0
Votes
Undo
Warning: mysqli_real_connect(): Headers and client library minor version mismatch. Headers:50519 Library:50633 in /home/content/n3pnexwpnas02_data03/68/3523068/html/wp-includes/wp-db.php on line 1529 
I am not an expert on this, but I have seen this problem before... try running this:
/usr/bin/alt-php-mysql-reconfigure
- Scott
  1. 12.12.2016 02:12:40
  2. # 3
farzana Accepted Answer
Posts: 1
Joined: 12.12.2016
0
Votes
Undo
Hai.., 
I am getting below error.., The site link http://www.ictpartnership4africa.net/

Warning: mysqli_real_connect(): Headers and client library minor version mismatch. Headers:50519 Library:50633 in /home/content/n3pnexwpnas02_data03/68/3523068/html/wp-includes/wp-db.php on line 1529

Now i do pls share step what i do? i am couldn't understand what to do?
  1. 14.04.2016 16:04:53
  2. # 4
Ray Baron Accepted Answer
Posts: 32
Joined: 01.04.2013
0
Votes
Undo
This is resolved.  There was a railgun repo error that aborted install of those packages.

After installing, the original error is gone.

Many thanks!
  1. 14.04.2016 15:04:10
  2. # 5
Ray Baron Accepted Answer
Posts: 32
Joined: 01.04.2013
0
Votes
Undo
The DB server does not have alt-php.

The web server is using DB on the remote server and alt-php70-mariadb101 is not installed locally.

# rpm -q alt-php70-mariadb10
alt-php70-mariadb10-7.0.4-1.el6.x86_64
  1. 14.04.2016 10:04:08
  2. # 6
Ray Baron Accepted Answer
Posts: 32
Joined: 01.04.2013
0
Votes
Undo
3. The output header of 'mysql -V' from both serves.
WEB
mysql  Ver 15.1 Distrib 10.1.13-MariaDB, for Linux (x86_64) using readline 5.1

DB
mysql  Ver 15.1 Distrib 10.1.13-MariaDB, for Linux (x86_64) using readline 5.1

Re:  1 & 2

The website is using PHP v7 from AltPHP and MariaDB on a remote DB server. The DB server has CPanel but not CloudLinux.
  • Page :
  • 1


There are no replies made for this post yet.
Be one of the first to reply to this post!
Guest
Submit Your Response
Upload files or images for this discussion by clicking on the upload button below. Supports gif,jpg,png,zip,rar,pdf
• Insert • Remove Upload Files (Maximum File Size: 2 MB)
Captcha
To protect the site from bots and unauthorized scripts, we require that you enter the captcha codes below before posting your question.